Page MenuHomePhabricator

[Task] Test: Using repo edit summaries on the client
Closed, ResolvedPublic

Description

Check if using repo edit summaries on client works with different versions of the code and old data.
Verify special cases (especially linking/unlinking of the local page) get handled correctly.
Make sure it works correctly with "coalesced" changes too (when multiple consecutive edits by a single user get combined on the client).

Related Objects

Event Timeline

Tobi_WMDE_SW renamed this task from [Task] Test edit summaries to [Task] Test: Using repo edit summaries on the client.
Tobi_WMDE_SW raised the priority of this task from to High.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW added subscribers: MGChecker, Ricordisamoa, aude and 3 others.
daniel updated the task description. (Show Details)Sep 17 2015, 9:17 AM
daniel updated the task description. (Show Details)
Jonas moved this task from Backlog to Doing on the Wikidata-Sprint-2015-09-15 board.

Tested latest code. No errors so far.

Things that don't work:

  • No working links or labels on the recent changes page.
  • No info about new site links on pages that are not site linked.
  • Generic info about qualifier and rank changes (changed claim)
  • Sitelink but no usage of data -> only info about site link changes

Lua integration is not working for my current setup (client+repo= same wiki), so somebody else has to test this aspect.

Jonas removed Jonas as the assignee of this task.Sep 29 2015, 2:15 PM
Jonas moved this task from Doing to Backlog on the Wikidata-Sprint-2015-09-29 board.
Tobi_WMDE_SW moved this task from Doing to Backlog on the Wikidata-Sprint-2015-09-29 board.
Jonas moved this task from Backlog to Doing on the Wikidata-Sprint-2015-09-29 board.

Change 243660 had a related patch set uploaded (by Daniel Kinzler):
Track usage of missign entity via Lua.

https://gerrit.wikimedia.org/r/243660

Change 243660 merged by jenkins-bot:
Track usage of missign entity via Lua.

https://gerrit.wikimedia.org/r/243660

daniel added a comment.Oct 6 2015, 3:06 PM

Update:

  • T114665 and T114666 are actual bugs and should be fixed, but do not block deployment. They are low impact assuming that items that are still used on client pages are rarely deleted (and even more rarely restored).
  • T114664 was reduced to a non-blocker since the information provided is not wrong. The point here is merely to improve consistency.
Jonas removed Jonas as the assignee of this task.Oct 6 2015, 3:38 PM
Jonas moved this task from Doing to Backlog on the Wikidata-Sprint-2015-09-29 board.

So we should redo the testing after all blocking bugs are fixed. I would propose at least two people other than daniel and me should do the tests.

aude added a comment.Oct 8 2015, 9:59 PM

think this is already reported but links in edit summaries don't work for me.

they just take me to my base repo url.

aude added a comment.Oct 8 2015, 10:01 PM

(diff | hist) . . D Grover Cleveland (Q207); 21:59 . . 127.0.0.1 (Talk) (Language link removed: az:Qrover Klivlend; Language link removed: bar:Stephen Grover Cleveland; Language link removed: bcl:Grover Cleveland; Language link removed: bg:Гроувър Кливланд)

would be nicer if it was "Language links removed: az:Qrover Klivlend, bar:Stephen Grover Cleveland, bcl:Grover Cleveland, bg:Гроувър Кливланд"

aude added a comment.EditedOct 8 2015, 10:03 PM

also, the summaries can be a bit lengthy, overwhelming and somewhat confusing:

‎Changed claim: Property:P8: 2--74; ‎Changed [en] description: country in North Americgkjwgljdsklgjsdklgjskdlgjskdlgjlskdjgldskjgklsdjglskdjglskdijgkdlsjgklsjglskgjsa; ‎Changed [en] description: country in North Americgkjwgljdsklggsgjsdklgjskdlgjskdlgjlskdjgldskjgklsdjglskdjglskdijgkdlsjgklsjglskgjsa; ‎Changed [en] description: country in North hfd; ‎Changed [en] description: country in North; ‎Changed [en] description: country in North America; ‎Setting [en] aliases: USA, America, the States, U.S., U.S.A., United States, 🇺🇸, USs; ‎Setting [en] aliases: USA, America, the States, U.S., U.S.A., United States, 🇺🇸, US; ‎Setting [en] aliases: USA, America, the States, U.S., U.S.A., United State)

i probably changed the description multiple times, but listing them all like this is a bit much and is not very understandable to me

T115064

aude added a comment.Oct 8 2015, 10:05 PM

i am also not a fan of having the class="external" formatting on links. interwiki links for site link changes don't have this. (e.g. Language link removed: az:Qrover Klivlend;)

they should at least be consistent, and as an interwiki link, I think not be marked as external. (although others might disagree)

Tobi_WMDE_SW closed this task as Resolved.Oct 13 2015, 1:25 PM
Tobi_WMDE_SW moved this task from Backlog to Done on the Wikidata-Sprint-2015-09-29 board.